Bug 199821 - USB system becomes unresponsive after a period of uptime
USB system becomes unresponsive after a period of uptime
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-22 12:54 EDT by Aaron VanDevender
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after usb lock (33.47 KB, text/plain)
2006-08-16 22:37 EDT, Aaron VanDevender
no flags Details

  None (edit)
Description Aaron VanDevender 2006-07-22 12:54:35 EDT
Description of problem:
USB works fine immedietly after boot, but eventually becomes unresponsive, after
a day or so of uptime. Symptoms of unresponsiveness include:

Plugging and unplugging usb devices does not generate udev events.
Plugging and unplugging usb devices does not generate notifications in dmesg or
/var/log/messages
lsusb and cat /proc/bus/usb/devices hangs and cannot be killed (even with -9)
Devices which were plugged in, but not open (scanner with out sane running, usb
flash reader with out a flash card plugged in) cannot be opened.

However, devices which were open before the usb system died (usb keyboard and
mouse) still work as normall, unless they are unplugged and replugged, in which
case they stop working.

This has been the case for me for several kernel versions, upto and including
2.6.17-1.2145_FC5.

The only way I have found to resume usb functionality is to reboot.

I have a KT6V-LSR motherboard (VT8237 southbridge) and the following devices:
Microsoft Natural Pro Keyboard
Logitech USB Mouse
Lexar multi-card flash reader
Mustek 1200 UB Plus scanner
HP LaserJet 1200 printer
Altech Lansing head set w/ C-Media usb audio adapter
Comment 1 Pete Zaitcev 2006-07-22 13:33:58 EDT
The khubd either died or locked. Is khubd process present?
Please attach full dmesg output (DO NOT DROP IN THE COMMENTS BOX).
Comment 2 Aaron VanDevender 2006-08-02 11:22:37 EDT
After I posted this bug, I removed a number of USB devices from my system. It
hasn't locked yet. I'm slowly adding them back to the system, one at a time,
till I can find which one makes khubd die. I'll post a dmesg once that happens.
Comment 3 Aaron VanDevender 2006-08-16 22:37:21 EDT
Created attachment 134364 [details]
dmesg output after usb lock

the usb system finally locked on me, but it wasn't obviously correlated to the
addition of one of my devices. It happened while I was cp'ing some files from a
SD card reader. Now both cp and khubd are stuck in the D state and cannot be
killed (even with extreme prejudice). I have attached the output of dmesg just
after the lock.
Comment 4 Dave Jones 2006-10-16 13:20:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Aaron VanDevender 2006-10-29 22:45:23 EST
I have seen this with 2.6.18 under FC5, and also with kernel-2.6.18-1.2798.fc6
after doing a fresh install with FC6.
Comment 6 Jon Stanley 2008-01-19 23:36:35 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.